part of version;

class BuildItem extends StatelessWidget {
  final VersionModel model;
  const BuildItem({
    Key? key,
    required this.model
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      padding: const EdgeInsets.only(top: 10,right: 15,left: 15),
      child: Column(
        children: [
         Row(
           mainAxisAlignment: MainAxisAlignment.spaceBetween,
           children: [
             Column(
               crossAxisAlignment: CrossAxisAlignment.start,
               children: [
                 Text(model.version??'',style: const TextStyle(fontSize: 14,height: 1.5,color: Colours.c3),),
                 Text(model.updateTime??'',style: const TextStyle(fontSize: 12,height: 1.5,color: Colours.c9),),
               ],
             ),
             Image.asset('assets/images/right_arrow.png')
           ],
         ),
         Gaps.vGaps10,
         Container(
           height: 0.5,
           color: Colours.cF0,
         )
        ],
      ),
    );
  }
}
